Bug 1293443 - Validation failed: Email address is invalid when adding IPA user with more than one email
Validation failed: Email address is invalid when adding IPA user with more th...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-12-21 13:53 EST by Luc de Louw
Modified: 2017-08-01 16:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-01 16:33:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18442 None None None 2017-02-12 03:00 EST

  None (edit)
Description Luc de Louw 2015-12-21 13:53:54 EST
Description of problem:
When using IPA/IdM authentication and the user has more than one email address, the user is not created and the following error message appears:

Validation failed: Email address is invalid
app/models/user.rb:253:in `block in find_or_create_external_user'
app/models/concerns/foreman/thread_session.rb:73:in `as'
app/models/concerns/foreman/thread_session.rb:79:in `as_anonymous_admin'
app/models/user.rb:251:in `find_or_create_external_user'
app/services/sso/apache.rb:38:in `authenticated?'
app/controllers/users_controller.rb:68:in `login'
app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'
lib/middleware/catch_json_parse_errors.rb:9:in `call'

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. ipa user-add --first=Hans --last=Wurst --email=hwurst@example.com --email=hanswurst@example.com hwurst
2. Log in to the WebUI

Actual results:
User not created

Expected results:
User created

Additional info:
Workaround: Remove all but a single email address from the user, log in to create the user and add the additional email addresses again.
Comment 1 Bryan Kearney 2016-07-26 15:07:35 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Daniel Lobato Garcia 2017-02-09 07:37:12 EST
Bryan - No, it looks like the issue here is that having two emails in the external authentication source isn't expected here. I'll clone to Redmine.
Comment 4 Daniel Lobato Garcia 2017-02-09 07:37:42 EST
Created redmine issue http://projects.theforeman.org/issues/18442 from this bug
Comment 5 Bryan Kearney 2017-08-01 16:33:57 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.